import request from "@/utils/request";
import request2 from "@/utils/request2";
import qs from "qs";

export function mutualTLSQuery(data) {
  return request2({
    url: `/api-auth/open/mutualTLS/query`,
    method: "GET",
    params: data,
    data: {}
  });
}

export function login(data) {
  return request({
    url: "/api-auth/usernameLogin",
    // url: '/user/login',
    method: "post",
    data: qs.stringify(data)
  });
}

export function getInfo() {
  return request({
    url: "/api-web/employee/queryUserInfo",
    method: "get"
  });
}
// 登出
export function logout() {
  return request({
    url: "/api-auth/exit",
    method: "post",
    headers: {
      "content-type": "application/x-www-form-urlencoded"
    },
    data: {}
  });
}

// 获取首页数据
export function getIndex(data) {
  return request({
    url: "/api-web/index",
    method: "get",
    params: data
  });
}
// 刷新token
export function getRefreshToken(data) {
  return request({
    url: "/api-auth/refreshToken",
    method: "post",
    data: qs.stringify(data)
  });
}
