import { h } from "@stencil/core";
import { ACreateMessage } from "./base";
export default class RichMessage extends ACreateMessage {
  constructor(message, callback) {
    super(message, callback);
    this.handleClick = this.handleClick.bind(this);
  }
  handleClick() {
    if (typeof this.callback === 'function') {
      this.callback({
        type: 'richContent',
        url: this.content.url
      });
    }
  }
  create() {
    const content = this.content;
    return this.wrap(h("div", { class: "rich-message-body", "data-url": content.url, onClick: this.handleClick },
      h("div", { class: "title" }, content.title),
      h("div", { class: "content" },
        content.imageUri ? h("img", { src: content.imageUri }) : null,
        h("p", null, content.content))));
  }
}
