import { Languages } from './enum/languages';
let storage;
export const createStorage = (w, _appkey, _currentUserId) => {
  const storageKey = `imkit_${_appkey}_${_currentUserId}`;
  // if (!storage) {
  storage = {
    set(value, key) {
      const val = JSON.stringify(value);
      w.localStorage.setItem(`${storageKey}_${key}`, val);
      if (value === undefined || value === null) {
        w.localStorage.removeItem(`${storageKey}_${key}`);
      }
    },
    get(key) {
      let item;
      try {
        item = JSON.parse(w.localStorage.getItem(`${storageKey}_${key}`));
      }
      catch (e) {
        item = null;
      }
      return item;
    },
    remove(key) {
      w.localStorage.removeItem(`${storageKey}_${key}`);
    }
  };
  // }
  return storage;
};
export class ConversationStore {
  constructor() {
    this._conversationStorage = {};
  }
  init(_appkey, _currentUserId) {
    this._kitStorage = createStorage(window, _appkey, _currentUserId);
    this._conversationStorage = this._kitStorage.get('conversation') || {};
  }
  updateUnReadTime(time, type, targetId, channelId) {
    const key = this.getConversationKey(type, targetId, channelId);
    this._conversationStorage[key] = time;
    this._kitStorage.set(this._conversationStorage, 'conversation');
  }
  getUnReadTime(type, targetId, channelId) {
    const key = this.getConversationKey(type, targetId, channelId);
    return this._conversationStorage[key] || 0;
  }
  get data() {
    return this._conversationStorage;
  }
  getConversationKey(type, targetId, channelId) {
    return `${channelId}_${type}_${targetId}`;
  }
}
export class LangStore {
  constructor() {
    this._LangStore = null;
  }
  init(_appkey, _currentUserId) {
    this._kitStorage = createStorage(window, _appkey, _currentUserId);
    this._LangStore = this._kitStorage.get('lang') || null;
  }
  setLang(value) {
    this._LangStore = value;
    this._kitStorage.set(this._LangStore, 'lang');
  }
  getLang() {
    let lang = this._LangStore && this._LangStore.lang ? this._LangStore.lang : Languages.ZH_CN;
    return lang;
  }
}


