import request from "@/utils/request";
import qs from "qs";
let api = "/api-web";

// 企业用户列表
export function queryPageList(data) {
  return request({
    url: api + "/adapay/queryPage",
    method: "get",
    params: data
  });
}

// 新建企业用户
export function createMember(data) {
  return request({
    url: api + "/adapay/createMember",
    method: "post",
    data: data
  });
}

// 修改企业用户(状态是failed才能修改)
export function updateMember(data) {
  return request({
    url: api + "/adapay/updateMember",
    method: "post",
    data: data
  });
}

// 绑定结算账户（succeeded 状态才能使用）
export function createSettleAccount(data) {
  return request({
    url: api + "/adapay/createSettleAccount",
    method: "post",
    data: qs.stringify(data)
  });
}

// 绑定结算账户（succeeded 状态才能使用）
export function updateMonthMaxReceipt(data) {
  return request({
    url: api + "/adapay/updateMonthMaxReceipt",
    method: "post",
    data: qs.stringify(data)
  });
}

/** 易宝上传图片 */
export function yeepayUpload(data) {
  return request({
    url: api + "/yeepay/upload",
    method: "post",
    data: data
  });
}

/** 易宝账号列表 */
export function yeepayQueryPage(data) {
  return request({
    url: api + "/yeepay/queryPage",
    method: "get",
    params: data
  });
}

// yeepay/addSubMerchant
/** 新建易支付用户 */
export function addSubMerchant(data) {
  return request({
    url: api + "/yeepay/addSubMerchant",
    method: "post",
    data: data
  });
}
