import request2 from "@/utils/request2";
import request from "@/utils/request";
import qs from "qs";
let api = "/api-web";

// 考级列表
export function degreeQueryPage(data) {
  return request({
    url: api + "/degree/queryPage",
    method: "get",
    params: data
  });
}

// 考级列表
export function degreeRefund(data) {
  return request({
    url: api + "/degree/refund",
    method: "post",
    data: qs.stringify(data)
  });
}

export const degreeNewsPage = data =>
  request2({
    url: "/api-web/degreeNews/page",
    data,
    method: "post"
  });

// 停用 | 启动
export const degreeNewsEnable = data =>
  request2({
    url: "/api-web/degreeNews/enable",
    data,
    requestType: "form",
    method: "post"
  });

// 删除
export const degreeNewsRemove = data =>
  request2({
    url: "/api-web/degreeNews/remove",
    data,
    requestType: "form",
    method: "post"
  });

// 新增
export const degreeNewsSave = data =>
  request2({
    url: "/api-web/degreeNews/save",
    data,
    method: "post"
  });

// 修改
export const degreeNewsUpdate = data =>
  request2({
    url: "/api-web/degreeNews/update",
    data,
    method: "post"
  });

// 考级等级费用分布查询
export const degreeLevelFeePage = data =>
  request2({
    url: "/api-web/degreeLevelFee/page",
    data,
    method: "post"
  });

export const degreeLevelFeeSave = data =>
  request2({
    url: "/api-web/degreeLevelFee/save",
    data,
    method: "post"
  });
export const degreeLevelFeeUpdate = data =>
  request2({
    url: "/api-web/degreeLevelFee/update",
    data,
    method: "post"
  });
export const degreeLevelFeeRemove = data =>
  request2({
    url: "/api-web/degreeLevelFee/remove",
    data,
    requestType: "form",
    method: "post"
  });

export const degreeLevelCn = {
  1: "一级",
  2: "二级",
  3: "三级",
  4: "四级",
  5: "五级",
  6: "六级",
  7: "七级",
  8: "八级",
  9: "九级",
  10: "十级"
};
export const degreeLevel = [
  {
    value: 1,
    text: "一级"
  },
  {
    value: 2,
    text: "二级"
  },
  {
    value: 3,
    text: "三级"
  },
  {
    value: 4,
    text: "四级"
  },
  {
    value: 5,
    text: "五级"
  },
  {
    value: 6,
    text: "六级"
  },
  {
    value: 7,
    text: "七级"
  },
  {
    value: 8,
    text: "八级"
  },
  {
    value: 9,
    text: "九级"
  },
  {
    value: 10,
    text: "十级"
  }
];
export const degreeTheory = [
  {
    value: 1,
    text: "一级"
  },
  {
    value: 2,
    text: "二级"
  },
  {
    value: 3,
    text: "三级"
  },
  {
    value: 4,
    text: "四级"
  }
];

// 考级信息列表
export const degreePage = data =>
  request2({
    url: "/api-web/degree/page",
    data,
    method: "post"
  });
// 考级信息保存
export const degreeSave = data =>
  request2({
    url: "/api-web/degree/save",
    data,
    method: "post"
  });
// 考级信息修改
export const degreeUpdate = data =>
  request2({
    url: "/api-web/degree/update",
    data,
    method: "post"
  });
// 考级信息统计
export const degreeStatistic = data =>
  request2({
    url: "/api-web/degree/statistic",
    params: data,
    method: "get"
  });
