
import request2 from '@/utils/request2'

export const tenantInfoQueryPage = (data) => request2({
  url: '/api-web/tenantInfo/queryPage',
  method: 'post',
  // tenantStatus: data.tenantStatus,
  data,
})

export const tenantInfoAdd = data => request2({
  url: '/api-web/tenantInfo/add',
  method: 'post',
  noCleanDeep: true,
  data,
})

export const tenantInfoUpdate = data => request2({
  url: '/api-web/tenantInfo/update',
  method: 'post',
  noCleanDeep: true,
  data,
})

export const tenantInfoOpsState = data => request2({
  url: '/api-web/tenantInfo/opsState/' + data.id,
  method: 'get',
  params: data
})

export const tenantInfoInfo = data => request2({
  url: '/api-web/tenantInfo/info/' + data.id,
  method: 'get'
})

// 根据父节点查询下一级子节点列表（递归）
export const areaQueryTree = (data) => request2({
  url: '/api-web/area/queryTree',
  method: 'get',
  params: data
})

// 根据手机号获取学生信息
export const checkStudentPhone = (data) => request2({
  url: '/api-web/studentManage/queryUserByPhone',
  method: 'get',
  params: data,
  hideLoading: true
})

// 获取机构协议列表
export const tenantContractRecordList = (data) => request2({
  url: '/api-web/tenantContractRecord/queryPage',
  method: 'post',
  data
})

// 获取汇付信息
export const getHfMerchantConfig = (data) => request2({
  url: `/api-web/hfMerchantConfig/queryByTenantId/${data}`,
  method: 'get',
})


// 创建汇付商户配置
export const addHfMerchantConfig = (data) => request2({
  url: '/api-web/hfMerchantConfig/add',
  method: 'post',
  data
})

// 修改汇付神户配置
export const resetHfMerchantConfig = (data) => request2({
  url: '/api-web/hfMerchantConfig/update',
  method: 'post',
  data
})
